CRM

List the direct shares on a record (+ display, canManageShares)

GET
/v1/crm/record-shares

Authorization

x-api-key<token>

In: header

Query Parameters

entityId*string

The record's entity id.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/crm/record-shares?entityId=string"
{
  "data": {
    "canManageShares": true,
    "shares": [
      {
        "createdAt": 0,
        "email": "string",
        "grantedByName": "string",
        "image": "string",
        "name": "string",
        "source": "string",
        "userId": "string"
      }
    ]
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}
{
  "error": "string"
}